Subject: [Idr] One Admin Domain

From: "Jakob Heitz (jheitz)" <[email-masked]>
Date: Wed, 7 Apr 2021 21:55:01 +0000

Jim,

That draft looks fine. Was it ever submitted? I can't find it in a search.

I would add a mechanism to reduce the AS_PATH length.
When sending out of the OAD, replace the sequence of ASNs in the
OAD by a single configured master ASN.
If a route is received by a speaker in any AS in the OAD from a speaker not in
the OAD, then the master ASN in the AS_PATH counts as a loop.

Regards,
Jakob.

-----Original Message-----
From: Idr <[email-masked]> On Behalf Of UTTARO, JAMES
Sent: Wednesday, April 7, 2021 6:43 AM
To: Jeffrey Haas <[email-masked]>; Robert Raszuk <[email-masked]>
Cc: idr@ietf. org <[email-masked]>; Susan Hares <[email-masked]>
Subject: Re: [Idr] WG adoption for draft-haas-flowspec-capability-bits - 3/30 to 4/13

" I don't believe we're likely to come up with a simple answer to BGP
capability domains soon.  That said, operators in a single administrative
domain at least can figure this out themselves because they're the ones
configuring it"

This discussion illustrates that a single administrative domain spanning multiple ASes should be addressed. Pradosh, John Scudder and I began identifying how an OAD ( One Administrative Domain ) should behave in terms of an eBGP and OAD-eBGP learned paths. ( See Attached ). 

As an example if we offering RFC 1998 feature to a customer whose VPN spans multiple AS domains requires that the operator preserve or reset ( default ) the LP. The customer may want to scope LP to a given AS or have it apply across an OAD.  As operators we have figured out how to create a somewhat seamless reachability/forwarding domain upon which services can be overlaid. That being said it maybe time to re-look at the scope of an AS vis-a-vis Admin domain including capabilities on a router, AS and OAD level..

Thanks,
	Jim Uttaro

-----Original Message-----
From: Idr <[email-masked]> On Behalf Of Jeffrey Haas
Sent: Wednesday, April 07, 2021 9:25 AM
To: Robert Raszuk <[email-masked]>
Cc: idr@ietf. org <[email-masked]>; Susan Hares <[email-masked]>
Subject: Re: [Idr] WG adoption for draft-haas-flowspec-capability-bits - 3/30 to 4/13

Robert,

I think you're mixing some of the points together.

On Wed, Apr 07, 2021 at 12:29:21PM +0200, Robert Raszuk wrote:
> I have a question on how practical this proposal is.
> 
> Fundamental problem with today's BGP capabilities is that the information
> is only known to the peer.
> 
> So if I inject flowspec rule from behind the RR the RR will suppress some
> updates but:
> 
> * sender will have no clue about it
> * any other flow spec BGP speaker which supports request filtering down the
> BGP path will never get the chance to receive and apply the filter.

This is explicitly acknowledged in section 5.

It's also indistinguishable from policy.

> Both are IMHO bad. The latter is in fact directly against flowspec spirit
> to apply filtering as close to the src even if hops on the way are not
> capable of doing so.
> 
> So I am yet to be convinced this proposal is useful.
> 
> Today as a general rule if a router does not support an extension received
> via flowspec it just does not apply it but still can happily propagate the
> update down the road.

Not a single BGP flowspec implementation implemented the "opaque" property
in RFC 5575.  Not one.  And it was the strong motivation to remove that text
in RFC 8955.

This may change in flowspec v2 where we likely will make the NLRI proper
type-length-value rather than implied length as it is currently done.

How well the argument to filter unsupported components stands once we're to
something like flowspec v2 will be the longer question.  For such scenarios,
once we're no longer concerned about propagation characteristics of the
NLRI, it's quite reasoanble for a route reflector to carry NLRI with
filtering components it doesn't understand - but edge devices may not want
it.  But in that scenario, perhaps it's simply better for edge devices to
accept it and simply not install it.

> I think what we have here on the table is an illustration about the growing
> need for domain wide (or set of domains under the same admin) capability
> distribution such that all BGP speakers could advertise their
> capabilities to interested parties. A bit broader than flowspec, but could
> be useful here.

At the day job, we talk about the "flooding domain" of new features that are
gated on their capabilities.  BGP doesn't provide an explicit concept for
this, but it's become a protocol intrinsic behavior.  Unless you configure a
capability between two devices, it does't gain the ability to use the
feature.  A contiguous set of devices using those capabilities becomes that
domain.  That domain may, or may not, have strong overlap with one or more
ASes under the control of one or more parties.

For many BGP features, knowing what those domain boundaries are isn't much
of a problem.  Flowspec implementations with disjoint capabilities is a
place where it could be problematic.  (Again, see section 5.)

---

I don't believe we're likely to come up with a simple answer to BGP
capability domains soon.  That said, operators in a single administrative
domain at least can figure this out themselves because they're the ones
configuring it.

Right now, we are unable to safely deploy new flowspec features. Even when
you have disjoint flooding domains, if your flowspec rules are independent,
you can gain benefit.  So, short term for flowspec v1, I think there's
benefit for this feature.

-- Jeff

_______________________________________________
Idr mailing list
[email-masked]
https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/idr__;!!BhdT!zKnvUXaBTauH415pLQgguhjbJ69dkTpI04OgwY3aoSSiPV4IGBB2u-MqG68$

---

From: Robert Raszuk <[email-masked]>
Date: Thu, 8 Apr 2021 09:38:45 +0200

>  That draft looks fine. Was it ever submitted? I can't find it in a
search.

https://tools.ietf.org/html/draft-uttaro-idr-oad-01

r.

On Wed, Apr 7, 2021 at 11:55 PM Jakob Heitz (jheitz) <jheitz=
[email-masked]> wrote:

> This discussion illustrates that a single administrative domain spanning
> multiple ASes should be addressed. Pradosh, John Scudder and I began
> identifying how an OAD ( One Administrative Domain ) should behave in terms
> of an eBGP and OAD-eBGP learned paths. ( See Attached ).
>
> As an example if we offering RFC 1998 feature to a customer whose VPN
> spans multiple AS domains requires that the operator preserve or reset (
> default ) the LP. The customer may want to scope LP to a given AS or have
> it apply across an OAD.  As operators we have figured out how to create a
> somewhat seamless reachability/forwarding domain upon which services can be
> overlaid. That being said it maybe time to re-look at the scope of an AS
> vis-a-vis Admin domain including capabilities on a router, AS and OAD
> level..
>
> Thanks,
>         Jim Uttaro
>
>
>
>
>
> https://www.ietf.org/mailman/listinfo/idr
>

---

From: "UTTARO, JAMES" <[email-masked]>
Date: Thu, 8 Apr 2021 11:13:37 +0000

The two instantiations of this draft vary in approach. The first “draft-pmohapat-ide-oad-ebgp-00.txt”  introduces the notion of an OAD-EBGP peer and revises procedures specific to path attributes i.e LP, AIGP etc.. Introducing a new paradigm “OAD” changes the scope of an administrative domain and corresponding eBGP peering specifications in term of path attributes. The second introduces an attr-set stack to correlate with path attributes set at different points throughout a topology CE<->CE. This is an incremental approach that does not modify the underlying specifications.

At the time my goal was to insulate the customer and simplify operations to provide a seamless solution across AS boundaries. The thinking on the first draft was more revolutionary, the second was to solve a specific need. That being said in today’s world BGP is used across so many fields of use that an incremental solution to solve a specific need is insufficient. Network construction i.e LU and it’s derivatives, network configuration i.e flowspec, kompella, network telemetry i.e BGP LS etc… all require consistent behavior across an OAD.

IMO the attached draft is a good place to start the discussion.

Thanks,
              Jim Uttaro

From: Robert Raszuk <[email-masked]>
Sent: Thursday, April 08, 2021 3:39 AM
To: Jakob Heitz (jheitz) <jheitz=[email-masked]>
Cc: UTTARO, JAMES <[email-masked]>; idr@ietf. org <[email-masked]>
Subject: Re: [Idr] One Admin Domain

>  That draft looks fine. Was it ever submitted? I can't find it in a search.

https://tools.ietf.org/html/draft-uttaro-idr-oad-01<https://urldefense.com/v3/__https:/tools.ietf.org/html/draft-uttaro-idr-oad-01__;!!BhdT!zfO4c4vsPgfDrkW_tTrxxo8w5CHckexSKjc5de6FWSuMw6Fda_uqsgNK99zIrWs$>

r.

On Wed, Apr 7, 2021 at 11:55 PM Jakob Heitz (jheitz) <jheitz=[email-masked]<mailto:[email-masked]>> wrote:
Jim,

Regards,
Jakob.

-----Original Message-----
From: Idr <[email-masked]<mailto:[email-masked]>> On Behalf Of UTTARO, JAMES
Sent: Wednesday, April 7, 2021 6:43 AM
To: Jeffrey Haas <[email-masked]<mailto:[email-masked]>>; Robert Raszuk <[email-masked]<mailto:[email-masked]>>
Cc: idr@ietf. org <[email-masked]<mailto:[email-masked]>>; Susan Hares <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Idr] WG adoption for draft-haas-flowspec-capability-bits - 3/30 to 4/13

Thanks,
        Jim Uttaro

-----Original Message-----
From: Idr <[email-masked]<mailto:[email-masked]>> On Behalf Of Jeffrey Haas
Sent: Wednesday, April 07, 2021 9:25 AM
To: Robert Raszuk <[email-masked]<mailto:[email-masked]>>
Cc: idr@ietf. org <[email-masked]<mailto:[email-masked]>>; Susan Hares <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Idr] WG adoption for draft-haas-flowspec-capability-bits - 3/30 to 4/13

Robert,

---

-- Jeff

_______________________________________________
Idr mailing list
[email-masked]<mailto:[email-masked]>
https://urldefense.com/v3/__https://www.ietf.org/mailman/listinfo/idr__;!!BhdT!zKnvUXaBTauH415pLQgguhjbJ69dkTpI04OgwY3aoSSiPV4IGBB2u-MqG68$<https://urldefense.com/v3/__https:/www.ietf.org/mailman/listinfo/idr__;!!BhdT!zKnvUXaBTauH415pLQgguhjbJ69dkTpI04OgwY3aoSSiPV4IGBB2u-MqG68$>

_______________________________________________
Idr mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/idr<https://urldefense.com/v3/__https:/www.ietf.org/mailman/listinfo/idr__;!!BhdT!zfO4c4vsPgfDrkW_tTrxxo8w5CHckexSKjc5de6FWSuMw6Fda_uqsgNKqM9XzPc$>